module  TOUCH_UPDATE   ( 
input [11:0]NEW_X ,
input [11:0]NEW_Y ,
output reg [11:0] UPX,
output reg [11:0] UPY,
input UPDATE_N,   
input RESET_N
); 


always @(  RESET_N  or  UPDATE_N)  begin 
if ( !RESET_N )  begin 
  UPX <= 300 ;
  UPY <= 150 ; 
 end 
 else if ( !UPDATE_N ) begin 
  UPX <= (NEW_X*4)/5 -320/2;
  UPY <= (NEW_Y*4)/5 -240/2; 
end
end
endmodule 
